# Uses of Class
org.eclipse.swt.widgets.Display

Packages that use Display
Package
Description
org.eclipse.compare.internal
org.eclipse.e4.ui.css.swt.dom
org.eclipse.e4.ui.css.swt.engine
org.eclipse.e4.ui.css.swt.helpers
org.eclipse.e4.ui.css.swt.properties.converters
org.eclipse.e4.ui.css.swt.resources
org.eclipse.e4.ui.css.swt.theme
org.eclipse.e4.ui.dialogs.filteredtree
org.eclipse.e4.ui.workbench.swt
org.eclipse.jface.databinding.swt
Provides classes that can be used to observe changes in SWT widgets.
org.eclipse.jface.notifications
org.eclipse.jface.operation
Provides JFace support for long-running operations.
org.eclipse.jface.resource
Provides support for managing resources such as SWT fonts and images.
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.jface.util
Provides useful building blocks used throughout JFace, including property change events, a listener list implementation, and runtime checked assertions.
org.eclipse.jface.widgets
org.eclipse.swt.awt
SWT AWT embedding support.
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.swt.dnd
SWT Drag and Drop support.
org.eclipse.swt.events
SWT typed listener support.
org.eclipse.swt.widgets
SWT widget public API classes.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.application
Application-level APIs for configuring and controling the Eclipse Platform User Interface.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.forms
Forms-based controls for use in views, editors, and wizards.
org.eclipse.ui.forms.editor
Support for forms-based multi-page editors.
org.eclipse.ui.forms.widgets
Custom widgets and controls for forms-based parts.
org.eclipse.ui.internal
org.eclipse.ui.progress
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of Display in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal with parameters of type Display
Modifier and Type
Method
Description
`static IPath`
Utilities.`getIconPath(Display display)`

## Uses of Display in org.eclipse.e4.ui.css.swt.dom

Methods in org.eclipse.e4.ui.css.swt.dom with parameters of type Display
Modifier and Type
Method
Description
`static CSSEngine`
WidgetElement.`getEngine(Display display)`
Convenience method for getting the CSS engine responsible for a widget.
`static void`
WidgetElement.`setEngine(Display display, CSSEngine engine)`
Convenience method for setting the CSS engine responsible for a display.

## Uses of Display in org.eclipse.e4.ui.css.swt.engine

Fields in org.eclipse.e4.ui.css.swt.engine declared as Display
Modifier and Type
Field
Description
`protected Display`
AbstractCSSSWTEngineImpl.`display`
Constructors in org.eclipse.e4.ui.css.swt.engine with parameters of type Display
Modifier
Constructor
Description
``
`AbstractCSSSWTEngineImpl(Display display)`
``
`AbstractCSSSWTEngineImpl(Display display, boolean lazyApplyingStyles)`
``
`CSSSWTApplyStylesListener(Display display, CSSEngine engine)`
``
`CSSSWTEngineImpl(Display display)`
``
`CSSSWTEngineImpl(Display display, boolean lazyApplyingStyles)`

## Uses of Display in org.eclipse.e4.ui.css.swt.helpers

Methods in org.eclipse.e4.ui.css.swt.helpers with parameters of type Display
Modifier and Type
Method
Description
`static Font`
CSSSWTFontHelper.`getFont(CSS2FontProperties fontProperties, FontData oldFontData, Display display)`
`static Gradient`
CSSSWTColorHelper.`getGradient(CSSValueList list, Display display)`
`static Image`
CSSSWTImageHelper.`getImage(CSSValue value, IResourcesLocatorManager manager, Display display)`
`static Color`
CSSSWTColorHelper.`getSWTColor(CSSValue value, Display display)`
`static Color`
CSSSWTColorHelper.`getSWTColor(RGBColor rgbColor, Display display)`
`static Color[]`
CSSSWTColorHelper.`getSWTColors(Gradient grad, Display display, CSSEngine engine)`
`static Cursor`
CSSSWTCursorHelper.`getSWTCursor(CSSValue value, Display display)`

## Uses of Display in org.eclipse.e4.ui.css.swt.properties.converters

Methods in org.eclipse.e4.ui.css.swt.properties.converters that return Display
Modifier and Type
Method
Description
`protected Display`
CSSValueSWTFontDataConverterImpl.`getDisplay(Object context)`

## Uses of Display in org.eclipse.e4.ui.css.swt.resources

Constructors in org.eclipse.e4.ui.css.swt.resources with parameters of type Display
Modifier
Constructor
Description
``
`SWTResourcesRegistry(Display display)`

## Uses of Display in org.eclipse.e4.ui.css.swt.theme

Methods in org.eclipse.e4.ui.css.swt.theme with parameters of type Display
Modifier and Type
Method
Description
`IThemeEngine`
IThemeManager.`getEngineForDisplay(Display display)`
Get the engine for a given display

## Uses of Display in org.eclipse.e4.ui.dialogs.filteredtree

Methods in org.eclipse.e4.ui.dialogs.filteredtree that return Display
Modifier and Type
Method
Description
`Display`
BasicUIJob.`getDisplay()`
Returns the display for use by the receiver when running in an asyncExec.
Constructors in org.eclipse.e4.ui.dialogs.filteredtree with parameters of type Display
Modifier
Constructor
Description
``
`BasicUIJob(String name, Display display)`
Create a new instance of the receiver with the supplied name.

## Uses of Display in org.eclipse.e4.ui.workbench.swt

Constructors in org.eclipse.e4.ui.workbench.swt with parameters of type Display
Modifier
Constructor
Description
``
`DisplayUISynchronize(Display display)`

## Uses of Display in org.eclipse.jface.databinding.swt

Methods in org.eclipse.jface.databinding.swt with parameters of type Display
Modifier and Type
Method
Description
`static Realm`
DisplayRealm.`getRealm(Display display)`
Returns the realm representing the UI thread for the given display.

## Uses of Display in org.eclipse.jface.notifications

Methods in org.eclipse.jface.notifications with parameters of type Display
Modifier and Type
Method
Description
`static NotificationPopup.Builder`
NotificationPopup.`forDisplay(Display display)`
Creates a new builder instance.
Constructors in org.eclipse.jface.notifications with parameters of type Display
Modifier
Constructor
Description
``
`AbstractNotificationPopup(Display display)`
``
`AbstractNotificationPopup(Display display, int style)`

## Uses of Display in org.eclipse.jface.operation

Methods in org.eclipse.jface.operation with parameters of type Display
Modifier and Type
Method
Description
`static IProgressMonitorWithBlocking`
ProgressMonitorUtil.`createAccumulatingProgressMonitor(IProgressMonitor monitor, Display display)`
Deprecated.
use `ProgressMonitorUtil.createUIProgressMonitor(IProgressMonitor, Display)` instead
`static IProgressMonitor`
ProgressMonitorUtil.`createUIProgressMonitor(IProgressMonitor monitor, Display display)`
Wraps an `IProgressMonitor` associated with the UI thread, producing a new `IProgressMonitor` which can be used from any one thread.
`static void`
ModalContext.`run(IRunnableWithProgress operation, boolean fork, IProgressMonitor monitor, Display display)`
Runs the given runnable in a modal context, passing it a progress monitor.

## Uses of Display in org.eclipse.jface.resource

Fields in org.eclipse.jface.resource declared as Display
Modifier and Type
Field
Description
`protected Display`
ColorRegistry.`display`
This registries `Display`.
Methods in org.eclipse.jface.resource with parameters of type Display
Modifier and Type
Method
Description
`FontData`
FontRegistry.`bestData(FontData[] fonts, Display display)`
Deprecated.
use bestDataArray in order to support Motif multiple entry fonts.
`FontData[]`
FontRegistry.`bestDataArray(FontData[] fonts, Display display)`
Deprecated.
use filterData in order to preserve multiple entry fonts on Motif
`FontData[]`
FontRegistry.`filterData(FontData[] fonts, Display display)`
Removes from the list all fonts that do not exist in this system.
`static Color`
JFaceColors.`getActiveHyperlinkText(Display display)`
`static Color`
JFaceColors.`getBannerBackground(Display display)`
`static Color`
JFaceColors.`getBannerForeground(Display display)`
`static Color`
JFaceColors.`getErrorBackground(Display display)`
`static Color`
JFaceColors.`getErrorBorder(Display display)`
`static Color`
JFaceColors.`getErrorText(Display display)`
`static Color`
JFaceColors.`getHyperlinkText(Display display)`
`static Color`
JFaceColors.`getInformationViewerBackgroundColor(Display display)`
Background color intended for widgets that display text.
`static Color`
JFaceColors.`getInformationViewerForegroundColor(Display display)`
Foreground color intended for widgets that display text.
`static ResourceManager`
JFaceResources.`getResources(Display toQuery)`
Returns the global resource manager for the given display
Constructors in org.eclipse.jface.resource with parameters of type Display
Modifier
Constructor
Description
``
`ColorRegistry(Display display)`
Create a new instance of the receiver.
``
`ColorRegistry(Display display, boolean cleanOnDisplayDisposal)`
Create a new instance of the receiver.
``
`FontRegistry(Display display)`
Creates an empty font registry.
``
`FontRegistry(Display display, boolean cleanOnDisplayDisposal)`
Creates an empty font registry.
``
`ImageRegistry(Display display)`
Creates an empty image registry.

## Uses of Display in org.eclipse.jface.text

Methods in org.eclipse.jface.text with parameters of type Display
Modifier and Type
Method
Description
`String`
DefaultInformationControl.IInformationPresenter.`updatePresentation(Display display, String hoverInfo, TextPresentation presentation, int maxWidth, int maxHeight)`
Deprecated.
As of 3.2, replaced by `DefaultInformationControl.IInformationPresenterExtension.updatePresentation(Drawable, String, TextPresentation, int, int)`

## Uses of Display in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source with parameters of type Display
Modifier and Type
Method
Description
`protected Color`
LineNumberRulerColumn.`getBackground(Display display)`
Returns the System background color for list widgets.
`protected void`
LineNumberRulerColumn.`paintLine(int line, int y, int lineheight, GC gc, Display display)`
Paints the line.

## Uses of Display in org.eclipse.jface.util

Methods in org.eclipse.jface.util with parameters of type Display
Modifier and Type
Method
Description
`static Monitor`
Util.`getClosestMonitor(Display toSearch, Point toFind)`
Returns the monitor whose client area contains the given point.
Constructors in org.eclipse.jface.util with parameters of type Display
Modifier
Constructor
Description
``
`Throttler(Display display, Duration minWaitTime, Runnable runnable)`
Initializes a new throttler object that will throttle the execution of the given runnable in the `UI thread` of the given display.

## Uses of Display in org.eclipse.jface.widgets

Methods in org.eclipse.jface.widgets with parameters of type Display
Modifier and Type
Method
Description
`final Shell`
ShellFactory.`create(Display display)`
Creates the shell in the given display.

## Uses of Display in org.eclipse.swt.awt

Methods in org.eclipse.swt.awt with parameters of type Display
Modifier and Type
Method
Description
`static Shell`
SWT_AWT.`new_Shell(Display display, Canvas parent)`
Creates a new `Shell`.

## Uses of Display in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom with parameters of type Display
Modifier and Type
Method
Description
`static void`
BusyIndicator.`showWhile(Display display, Runnable runnable)`
Runs the given `Runnable` while providing busy feedback using this busy indicator.

## Uses of Display in org.eclipse.swt.dnd

Constructors in org.eclipse.swt.dnd with parameters of type Display
Modifier
Constructor
Description
``
`Clipboard(Display display)`
Constructs a new instance of this class.

## Uses of Display in org.eclipse.swt.events

Fields in org.eclipse.swt.events declared as Display
Modifier and Type
Field
Description
`Display`
TypedEvent.`display`
the display where the event occurred

## Uses of Display in org.eclipse.swt.widgets

Fields in org.eclipse.swt.widgets declared as Display
Modifier and Type
Field
Description
`Display`
Event.`display`
the display where the event occurred
Methods in org.eclipse.swt.widgets that return Display
Modifier and Type
Method
Description
`static Display`
Display.`findDisplay(Thread thread)`
Returns the display which the given thread is the user-interface thread for, or null if the given thread is not a user-interface thread for any display.
`static Display`
Display.`getCurrent()`
Returns the display which the currently running thread is the user-interface thread for, or null if the currently running thread is not a user-interface thread for any display.
`static Display`
Display.`getDefault()`
Returns the default display.
`Display`
Widget.`getDisplay()`
Returns the `Display` that is associated with the receiver.
Methods in org.eclipse.swt.widgets with parameters of type Display
Modifier and Type
Method
Description
`static Shell`
Shell.`internal_new(Display display, long handle)`
Invokes platform specific functionality to allocate a new shell that is not embedded.
`static Shell`
Shell.`win32_new(Display display, long handle)`
Invokes platform specific functionality to allocate a new shell that is embedded.
Constructors in org.eclipse.swt.widgets with parameters of type Display
Modifier
Constructor
Description
``
`Shell(Display display)`
Constructs a new instance of this class given only the display to create it on.
``
`Shell(Display display, int style)`
Constructs a new instance of this class given the display to create it on and a style value describing its behavior and appearance.
``
`Synchronizer(Display display)`
Constructs a new instance of this class.
``
`Tracker(Display display, int style)`
Constructs a new instance of this class given the display to create it on and a style value describing its behavior and appearance.

## Uses of Display in org.eclipse.ui

Methods in org.eclipse.ui that return Display
Modifier and Type
Method
Description
`static Display`
PlatformUI.`createDisplay()`
Creates the `Display` to be used by the workbench.
`Display`
IWorkbench.`getDisplay()`
Returns the display for this workbench.
Methods in org.eclipse.ui with parameters of type Display
Modifier and Type
Method
Description
`static int`
PlatformUI.`createAndRunWorkbench(Display display, WorkbenchAdvisor advisor)`
Creates the workbench and associates it with the given display and workbench advisor, and runs the workbench UI.

## Uses of Display in org.eclipse.ui.application

Methods in org.eclipse.ui.application with parameters of type Display
Modifier and Type
Method
Description
`void`
WorkbenchAdvisor.`eventLoopIdle(Display display)`
Performs arbitrary work or yields when there are no events to be processed.

## Uses of Display in org.eclipse.ui.console

Methods in org.eclipse.ui.console that return Display
Modifier and Type
Method
Description
`static Display`
ConsolePlugin.`getStandardDisplay()`
Returns the workbench display.

## Uses of Display in org.eclipse.ui.forms

Fields in org.eclipse.ui.forms declared as Display
Modifier and Type
Field
Description
`protected Display`
FormColors.`display`
Methods in org.eclipse.ui.forms that return Display
Modifier and Type
Method
Description
`Display`
FormColors.`getDisplay()`
Returns the display used to create colors.
Methods in org.eclipse.ui.forms with parameters of type Display
Modifier and Type
Method
Description
`void`
HyperlinkSettings.`initializeDefaultForegrounds(Display display)`
Initializes the hyperlink foregrounds from the JFace defaults set for the entire workbench.
Constructors in org.eclipse.ui.forms with parameters of type Display
Modifier
Constructor
Description
``
`FormColors(Display display)`
Creates form colors using the provided display.
``
`HyperlinkGroup(Display display)`
Creates a hyperlink group.
``
`HyperlinkSettings(Display display)`
The constructor.

## Uses of Display in org.eclipse.ui.forms.editor

Methods in org.eclipse.ui.forms.editor with parameters of type Display
Modifier and Type
Method
Description
`protected FormToolkit`
FormEditor.`createToolkit(Display display)`
Creates the form toolkit.

## Uses of Display in org.eclipse.ui.forms.widgets

Constructors in org.eclipse.ui.forms.widgets with parameters of type Display
Modifier
Constructor
Description
``
`FormToolkit(Display display)`
Creates a toolkit that is self-sufficient (will manage its own colors).

## Uses of Display in org.eclipse.ui.internal

Fields in org.eclipse.ui.internal declared as Display
Modifier and Type
Field
Description
`protected Display`
UILockListener.`display`
Methods in org.eclipse.ui.internal that return Display
Modifier and Type
Method
Description
`static Display`
Workbench.`createDisplay()`
Creates the `Display` to be used by the workbench.
`Display`
Workbench.`getDisplay()`
Methods in org.eclipse.ui.internal with parameters of type Display
Modifier and Type
Method
Description
`static int`
Workbench.`createAndRunWorkbench(Display display, WorkbenchAdvisor advisor)`
Creates the workbench and associates it with the the given display and workbench advisor, and runs the workbench UI.
`static Shell`
WorkbenchPlugin.`getSplashShell(Display display)`
Get the splash shell for this workbench instance, if any.
`protected void`
FilteredTableBaseHandler.`keepOpen(Display display, Shell dialog)`
Intended to be overwritten by test classes so the handler won't block the UI thread
`static void`
WorkbenchPlugin.`unsetSplashShell(Display display)`
Removes any splash shell data set on the provided display and disposes the shell if necessary.
Constructors in org.eclipse.ui.internal with parameters of type Display
Modifier
Constructor
Description
``
`UILockListener(Display display)`
Create a new instance of the receiver.
``
`UISynchronizer(Display display, UILockListener lock)`

## Uses of Display in org.eclipse.ui.progress

Methods in org.eclipse.ui.progress that return Display
Modifier and Type
Method
Description
`Display`
UIJob.`getDisplay()`
Returns the display for use by the receiver when running in an asyncExec.
Methods in org.eclipse.ui.progress with parameters of type Display
Modifier and Type
Method
Description
`void`
UIJob.`setDisplay(Display runDisplay)`
Sets the display to execute the asyncExec in.
Constructors in org.eclipse.ui.progress with parameters of type Display
Modifier
Constructor
Description
``
`UIJob(Display jobDisplay, String name)`
Create a new instance of the receiver with the supplied Display.
``
`WorkbenchJob(Display jobDisplay, String name)`
Create a new instance of the receiver with the supplied display and name.

## Uses of Display in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor with parameters of type Display
Modifier and Type
Method
Description
`protected Image`
MarkerAnnotation.`getImage(Display display)`
Deprecated.
As of 3.0, visual presentation is no longer supported, annotation with a visible presentation should implement `IAnnotationPresentation`
`protected static Image`
MarkerAnnotation.`getImage(Display display, ImageDescriptor descriptor)`
Deprecated.
As of 3.0, visual presentation is no longer supported, annotation with a visible presentation should implement `IAnnotationPresentation`
`protected static Map<ImageDescriptor,Image>`
MarkerAnnotation.`getImageRegistry(Display display)`
Deprecated.
As of 3.0, visual presentation is no longer supported, annotation with a visible presentation should implement `IAnnotationPresentation`